/* product section css start */
.product-breadcrumb {
    padding: 20px 0;
    background-color: var(--white);
}

.product-breadcrumb .breadcrumb {
    justify-content: flex-start;
}

.product-breadcrumb .breadcrumb li a,
.product-breadcrumb .breadcrumb li span {
    color: var(--paragraph-text-color);
}

.product-breadcrumb .breadcrumb li a:hover {
    color: var(--hover-color);
}

.product-breadcrumb .breadcrumb li .breadcrumb-icon i {
    color: var(--paragraph-text-color);
}

.section.product-section {
    padding-top: 0;
}

.product-page-content-wrap {
    display: flex;
    justify-content: center;
    gap: 50px;
}

.product-slider-area {
    width: 48%;
    position: sticky;
    top: 101px;
    height: fit-content;
}

.product-slider-inner {
    position: relative;
    padding: 0 50px;
}

.product-slider-inner .swiper-button-next {
    right: 0;
    opacity: 1;
    visibility: visible;
}

.product-slider-inner .swiper-button-prev {
    left: 0;
    opacity: 1;
    visibility: visible;
}

.product-slider-inner .swiper-button-prev,
.product-slider-inner .swiper-button-next {
    border: none;
    width: auto;
    height: auto;
    background-color: transparent;
}

.product-slider-inner .swiper-button-prev:hover,
.product-slider-inner .swiper-button-next:hover {
    background-color: transparent;
    border: none;
    color: var(--black);
}

.product-slider-inner .swiper-button-prev::after,
.product-slider-inner .swiper-button-next::after {
    font-size: 24px;
}

.product-slider-inner .swiper-button-prev:hover::after,
.product-slider-inner .swiper-button-next:hover::after {
    color: var(--black);
}

.swiper.product-slider {
    width: 100%;
}

.swiper.product-slider .swiper-pagination {
    left: 20px;
    width: fit-content;
    bottom: 20px;
    display: flex;
}

.swiper.product-slider .swiper-pagination .swiper-pagination-bullet {
    width: 10px;
    height: 10px;
}

.product-slider-img {
    height: 100%;
    background-color: var(--card-bg);
}

.product-content-area {
    width: 35%;
}

.product-title {
    font-weight: 300;
    text-transform: capitalize;
}

.product-price-wrap {
    margin: 20px 0 0 0;
    display: flex;
    align-items: center;
    gap: 16px;
}

.latest-price,
.previous-price {
    display: flex;
    align-items: flex-start;
}

.latest-price {
    font-weight: 700;
}

.previous-price {
    color: var(--text-muted);
    font-weight: 300;
    position: relative;
}

.product-content-area .previous-price::before {
    position: absolute;
    content: "";
    z-index: 1;
    top: 50%;
    left: -8px;
    width: 120%;
    height: 2px;
    background-color: var(--brand-color);
    transform: rotate(45deg) translateY(-50%);
    -webkit-transform: rotate(345deg) translateY(-50%);
    -moz-transform: rotate(45deg) translateY(-50%);
    -ms-transform: rotate(45deg) translateY(-50%);
    -o-transform: rotate(45deg) translateY(-50%);
}

.latest-price span,
.previous-price span {
    font-size: 16px;
}

.product-size-quantity-wrap {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
    align-items: flex-end;
}

.product-size-quantity-wrap {
    margin: 20px 0 0 0;
}

.product-varient-title-wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    margin: 0 0 10px 0;
}

.product-varient-title {
    text-transform: capitalize;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.product-size-select-fild {
    position: relative;
    z-index: 1;
}

.product-size-select-fild .icon {
    position: absolute;
    right: 6px;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    z-index: -1;
    width: 12px;
}

.product-varient-popup-btn {
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 16px;
    font-weight: 600;
    font-family: var(--heading-font);
    text-decoration: underline;
}

.product-quantity {
    max-width: 100%;
    border: 1px solid var(--border-color);
    display: inline-flex;
    align-items: center;
    height: 48px;
}

.quantity-decrease,
.quantity-increase {
    margin: 0;
    cursor: pointer;
    background-color: transparent;
    color: var(--black);
    height: 100%;
    padding: 5px 10px;
    transition: ease .3s;
    font-size: 20px;
    line-height: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 36px;
}

.quantity-decrease {
    border-right: 1px solid var(--border-color);
}

.quantity-increase {
    border-left: 1px solid var(--border-color);
}

.quantity-decrease:hover,
.quantity-increase:hover {
    background-color: var(--border-color);
}

.quantity-total {
    text-align: center;
    font-weight: 700;
    width: 100%;
    height: 100%;
    border: none;
}

.product-btn-area {
    margin: 20px 0 0 0;
    display: flex;
    gap: 10px;
}

.add-to-card-btn {
    width: 100%;
}

.add-to-card-btn .btn {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.add-to-card-btn .btn svg path {
    transition: all ease .3s;
}

.add-to-card-btn .btn:hover svg path {
    fill: var(--white);
}

.share-btn {
    width: 48px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 48px;
    border: 1px solid var(--brand-color);
    transition: all ease .3s;
}

.share-btn:hover {
    background: var(--brand-color);
}

.share-btn svg {
    stroke: var(--black);
    transition: all ease .3s;
}

.share-btn:hover svg {
    stroke: var(--white);
}

/* product-description-accordion css start */
.product-description-accordion {
    margin: 20px 0 0 0;
}

.product-accordion-item:first-child {
    border-top: 1px solid var(--border-color);
}

.product-accordion-item {
    padding: 0 10px 0 0;
    border-bottom: 1px solid var(--border-color);
}

.product-accordion-item .item-title-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    gap: 10px;
    padding: 15px 0;
}

.product-accordion-item .item-title-wrapper .item-title {
    text-transform: capitalize;
    font-size: 16px;
    transition: ease .3s;
    font-weight: 500;
    user-select: none;
}

.product-accordion-item.active .item-title-wrapper .item-title {
    color: var(--brand-color);
}

.product-accordion-item .item-title-wrapper .icon {
    display: flex;
}

.product-accordion-item .item-title-wrapper .icon svg {
    width: 12px;
    height: 12px;
    transition: ease .3s;
}

.product-accordion-item .item-title-wrapper .icon svg path {
    fill: var(--black);
}

.product-accordion-item.active .item-title-wrapper .icon svg {
    transform: rotate(180deg);
}

.product-accordion-item-content {
    padding: 0 15px 15px 0;
    display: none;
}

.product-accordion-item-content ul {
    margin-left: 18px;
}

.product-accordion-item-content ul li {
    list-style-type: disc;
    margin: 0 0 10px 0;
}

.product-accordion-item-content ul li:last-child {
    margin: 0;
}

.product-accordion-item-content ul li p,
.product-accordion-item-content .content p {
    font-size: 14px;
    line-height: 20px;
}

.product-accordion-item-content .content {
    margin: 10px 0 0 0;
}

.product-accordion-item-content .icon-items {
    gap: 10px;
    justify-content: space-between;
    grid-template-columns: repeat(3, 1fr);
    grid-auto-columns: unset;
    scroll-snap-type: unset;
    overflow: hidden;
    grid-auto-flow: unset;
}

.product-accordion-item-content .icon-item-img {
    max-width: 100%;
    height: auto;
    margin: 0 auto;
}

.product-accordion-item-content .icon-item-content {
    margin: 7px 0 0 0;
}

.product-accordion-item-content .icon-item-content .icon-item-title {
    font-size: 14px;
    font-weight: 600;
}

.product-accordion-item-content .icon-item-content .icon-item-text {
    font-size: 11px;
    margin: 5px 0 0 0;
    line-height: 16px;
}

/* product-description-accordion css start */

/* product section css end */

/* size-chart-sidebar start */
.size-sidebar-btn {
    text-transform: capitalize;
    font-size: 16px;
    font-weight: 600;
    color: var(--paragraph-text-color);
    display: flex;
    align-items: center;
    gap: 5px;
    text-wrap-mode: nowrap;
    border-bottom: 1px solid var(--black);
}

.size-sidebar-btn svg {
    width: 20px;
}

.size-chart-sidebar {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100vw;
    background-color: rgba(0, 0, 0, 0.3);
    height: 100vh;
    z-index: 9999;
    transition: 300ms;
    opacity: 0;
    visibility: hidden;
}

.size-chart-sidebar.active {
    opacity: 1;
    visibility: visible;
}

.size-chart-sidebar-close-window-btn {
    position: absolute;
    left: 0px;
    top: 0px;
    right: 0px;
    bottom: 0px;
    z-index: 1;
    width: 100vw;
    height: 100vh;
    user-select: none;
    cursor: pointer;
}

.size-chart-sidebar-inner {
    position: absolute;
    top: 0;
    right: 0;
    width: 340px;
    z-index: 2;
    transition: 300ms;
    transform: translateX(100%);
    opacity: 1;
    visibility: visible;
    height: 100%;
    max-height: 100%;
    background: var(--white);
}

.size-chart-sidebar-inner.active {
    transform: translateX(0);
}

.size-chart-sidebar-top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    padding: 20px;
    border-bottom: 1px solid var(--border-color);
}

.size-chart-title {
    text-transform: capitalize;
    font-size: 18px;
    font-weight: 600;
}

.size-chart-close-btn {
    display: flex;
}

.size-chart-sidebar-content {
    width: 100%;
    height: calc(100dvh - 75px);
    gap: 0;
    overflow-y: auto;
    scrollbar-width: thin;
    padding: 20px;
}

.size-chart-items {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.size-chart-item-title {
    font-size: 16px;
    font-weight: 600;
    margin: 0 0 10px 0;
    text-transform: capitalize;
}

.size-chart-item-content {
    width: 100%;
}

.size-chart-item-content,
.size-chart-item-content th,
.size-chart-item-content td {
    border: 1px solid var(--border-color);
    border-collapse: collapse;
    padding: 8px;
    text-align: center;
    font-size: 14px;
    color: var(--brand-color);
}

.size-chart-item-content th {
    background: var(--black);
    color: var(--white);
    text-transform: uppercase;
}


.size-chart-item-content tbody tr:nth-child(even) {
    background-color: var(--section-bg);
}

/* size-chart-sidebar end */

@media only screen and (max-width: 1360px) {

    /* product section css start */
    .product-page-content-wrap {
        gap: 20px;
    }

    .product-slider-area {
        width: 60%;
    }

    /* product section css end */
}

@media only screen and (max-width: 992px) {

    /* product section css start */
    .product-slider-area {
        width: 55%;
    }

    .product-slider-inner {
        padding: 0;
    }

    .product-content-area {
        width: 45%;
    }

    .product-slider-inner .swiper-button-prev {
        left: 20px;
    }

    .product-slider-inner .swiper-button-next {
        right: 20px;
    }

    /* product section css end */

    /* related-product section css start */
    .related-product-section .container {
        padding: 0 0 0 15px;
    }

    /* related-product section css end */

}

@media only screen and (max-width: 767px) {

    /* product section css start */
    .product-breadcrumb {
        padding: 20px 0;
    }

    .product-page-content-wrap {
        flex-direction: column;
    }

    .product-slider-area {
        width: 100%;
        position: unset;
    }

    .swiper.product-slider {
        padding-bottom: 24px;
    }

    .swiper.product-slider .swiper-pagination {
        left: 50%;
        bottom: 0;
        transform: translateX(-50%);
    }

    .product-content-area {
        width: 100%;
    }

    /* product section css end */
}

@media only screen and (max-width: 575px) {

    /* product section css start */
    .product-breadcrumb {
        padding: 16px 0;
    }

    .product-price-wrap {
        margin: 10px 0 0 0;
    }

    .product-title {
        font-weight: 400;
    }

    .latest-price,
    .previous-price {
        font-size: 16px;
        line-height: 1;
    }

    .product-varient-title {
        font-size: 16px;
    }

    .product-btn-area {
        margin: 10px 0 0 0;
        gap: 10px;
    }

    .product-quantity {
        height: 44px;
    }

    .add-to-card-btn .btn svg {
        width: 18px;
        height: 18px;
    }

    .quantity-decrease,
    .quantity-increase {
        padding: 5px;
        min-width: 30px;
    }

    .share-btn {
        width: 44px;
        height: 44px;
        min-width: 44px;
    }

    .product-description-accordion {
        margin: 20px 0 0 0;
    }

    .product-accordion-item .item-title-wrapper {
        padding: 10px 0;
    }

    .product-accordion-item .item-title-wrapper .item-title {
        font-size: 14px;
    }

    .product-accordion-item-content {
        padding: 0 12px 10px 0;
    }

    /* product section css end */
}